/**
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2010 WURFL-Pro srl
 */

package net.sourceforge.wurfl.core.cache;

import net.sf.jsr107cache.Cache;

/**
 * {@link CacheProvider}'s JCache implementation.
 * 
 * <p>
 * Add JCache support to WURFL api. JCache is a JSR107 http://jcp.org/en/jsr/detail?id=107
 * </p>
 * 
 * <p>GAE makes available caching service through this api. So it is nice to have in WURFL</p>
 * 
 * @author Filippo De Luca
 * 
 * @version $Id$
 */
public class JSR107CacheProvider implements CacheProvider {
	
	private Cache cache;
	
	public JSR107CacheProvider() {
		// Empty
	}
	
	public JSR107CacheProvider(Cache cache) {
		this.cache = cache;
	}
	
	public void setCache(Cache cache) {
		this.cache = cache;
	}

	public Object get(Object key) {
		
		Object value = cache.get(key);
		
		return value;
	}

	public void put(Object key, Object value) {
		
		cache.put(key, value);
	}

	public void clear() {
		
		cache.clear();
	}

}
