/**
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2010 WURFL-Pro srl
 */

package net.sourceforge.wurfl.core.handlers;


import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;
import net.sourceforge.wurfl.core.utils.StringUtils;

/**
 * Intercept all UAs containing "BlackBerry"  or "Blackberry"
 *
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
 * @version $Id: BlackBerryHandler.java 566 2010-10-25 08:27:06Z asres.fantayeneh $
 */
public class BlackBerryHandler extends Handler {

    public BlackBerryHandler() {
    }

    public BlackBerryHandler(UserAgentNormalizer normalizer) {
        super(normalizer);
    }

    /**
     * Checks UA contains "BlackBerry"
     */
    public boolean canHandle(String userAgent) {
        return StringUtils.containsAnyOf(userAgent, new String[]{"BlackBerry","Blackberry"});
    }

}
