/**
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2010 WURFL-Pro srl
 */

package net.sourceforge.wurfl.core.handlers;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;
import net.sourceforge.wurfl.core.utils.UserAgentUtils;
import org.apache.commons.collections.CollectionUtils;

import java.util.HashSet;
import java.util.Set;

/**
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
 */
public class BotHandler extends Handler {

    private final Set bots = new HashSet();
    private static final String BOT_KEYWORDS = "/net/sourceforge/wurfl/core/handlers/botskeywords.properties";

    public BotHandler() {
        bots.addAll(UserAgentUtils.keys(BOT_KEYWORDS));
    }

    public BotHandler(UserAgentNormalizer normalizer) {
        super(normalizer);
        bots.addAll(UserAgentUtils.keys(BOT_KEYWORDS));
    }

    public boolean canHandle(String userAgent) {
        return CollectionUtils.find(bots, UserAgentUtils.isContainedIn(userAgent)) != null;
    }

}
