/**
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2010 WURFL-Pro srl
 */

package net.sourceforge.wurfl.core.handlers;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;

/**
 * Intercept all UAs starting with "Mitsu"
 * 
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
 * @version $Id: MitsubishiHandler.java 429 2010-05-06 11:38:31Z filippo.deluca $
 */
public class MitsubishiHandler extends Handler {

    public MitsubishiHandler() {
    }

    public MitsubishiHandler(UserAgentNormalizer normalizer) {
		super(normalizer);
	}

	/**
	 * Checks given UA starts with "Mitsu"
	 */
	public boolean canHandle(String userAgent) {
		return userAgent.startsWith("Mitsu");
	}

}
