/**
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2010 WURFL-Pro srl
 */

package net.sourceforge.wurfl.core.handlers;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;
import org.apache.commons.lang.StringUtils;

/**
 * Intercept all UAs containing "Safari"
 * 
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
 * @version $Id: SafariHandler.java 596 2010-12-29 18:02:04Z asres.fantayeneh $
 */
public class SafariHandler extends Handler {

	public SafariHandler(UserAgentNormalizer normalizer) {
		super(normalizer);
	}

	/**
	 * Checks given UA contain "Safari"
	 */
	public boolean canHandle(String userAgent) {
		return !isMobileBrowser(userAgent) && userAgent.startsWith("Mozilla") && StringUtils.contains(userAgent, "Safari");
	}

}
