/**
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2010 WURFL-Pro srl
 */

package net.sourceforge.wurfl.core.handlers;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;
import org.apache.commons.lang.StringUtils;

/**
 * Intercept all UAs starting with "Mozilla/" and containing "Windows CE"
 * 
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
 * @version $Id: WindowsCEHandler.java 596 2010-12-29 18:02:04Z asres.fantayeneh $
 */
public class WindowsCEHandler extends Handler {

    public WindowsCEHandler() {
    }

    public WindowsCEHandler(UserAgentNormalizer normalizer) {
		super(normalizer);
	}

	public boolean canHandle(String userAgent) {
		return StringUtils.contains(userAgent, "Mozilla/")
                && net.sourceforge.wurfl.core.utils.StringUtils.containsAnyOf(userAgent,
                new String[]{"Windows CE", "WindowsCE", "ZuneWP7"});
	}
}
