/**
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2010 WURFL-Pro srl
 */

package net.sourceforge.wurfl.core.handlers.matchers;

import net.sourceforge.wurfl.core.handlers.Handler;
import net.sourceforge.wurfl.core.utils.StringUtils;

import java.util.SortedSet;

/**
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * @version $Id: LGMatcher.java 596 2010-12-29 18:02:04Z asres.fantayeneh $
 */
public class LGMatcher extends AbstractMatcher {

    public LGMatcher(Handler handler) {
        super(handler);
    }

    protected String lookForMatchingUserAgent(SortedSet userAgentsSet, String userAgent) {
        int tolerance = StringUtils.indexOfOrLength(userAgent, "/", userAgent.indexOf("LG"));
        if (logger.isDebugEnabled()) {
            logger.debug("Applying RIS with tolerance [" + tolerance + "] UA: " + userAgent);
        }
        return StringUtils.risMatch(userAgentsSet, userAgent, tolerance);

    }

}
