/**
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2010 WURFL-Pro srl
 */

package net.sourceforge.wurfl.core.handlers.matchers;

import net.sourceforge.wurfl.core.handlers.Handler;
import net.sourceforge.wurfl.core.handlers.classifiers.FilteredDevices;
import net.sourceforge.wurfl.core.request.WURFLRequest;
import net.sourceforge.wurfl.core.utils.UserAgentUtils;
import org.apache.commons.collections.CollectionUtils;

import java.util.HashMap;
import java.util.Map;

/**
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * @version $Id: OperaMiniMatcher.java 596 2010-12-29 18:02:04Z asres.fantayeneh $
 */
public class OperaMiniMatcher extends AbstractMatcher {


    public OperaMiniMatcher(Handler handler) {
        super(handler);
    }

    private static final Map OPERA_MINI = new HashMap();
    static {
        OPERA_MINI.put("Opera Mini/1", "browser_opera_mini_release1");
        OPERA_MINI.put("Opera Mini/2", "browser_opera_mini_release2");
        OPERA_MINI.put("Opera Mini/3", "browser_opera_mini_release3");
        OPERA_MINI.put("Opera Mini/4", "browser_opera_mini_release4");
        OPERA_MINI.put("Opera Mini/5", "browser_opera_mini_release5");     
    }

    protected String applyRecoveryMatch(WURFLRequest request,
                                        FilteredDevices filteredDevices) {
        String match = null;

        String key = (String) CollectionUtils.find(OPERA_MINI.keySet(), UserAgentUtils.isContainedIn(request.getUserAgent()));
        if (key != null) {
            match = (String) OPERA_MINI.get(key);
        }
        return match;

    }

}
