/**
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2010 WURFL-Pro srl
 */

package net.sourceforge.wurfl.core.request.normalizer.generic;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;
import org.apache.commons.lang.StringUtils;

/**
 * BlackBerry normalizer.
 * 
 * <p>
 * Strips out the heading "BlackBerry" string.
 * </P>
 * 
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
 * @version $Id: BlackBerryNormalizer.java 596 2010-12-29 18:02:04Z asres.fantayeneh $
 */
public class BlackBerryNormalizer implements UserAgentNormalizer {

	/**
	 * Removes the substring before "BlackBerry" occurrence in the given string.
	 */
	public String normalize(String userAgent) {

		String normalizedUserAgent = userAgent;

        int index = StringUtils.indexOf(userAgent, "BlackBerry");

		if (index > 0 && !StringUtils.contains(userAgent, "AppleWebKit")) {

			normalizedUserAgent = userAgent.substring(index);

		}


		return normalizedUserAgent;
	}

}
