/**
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2010 WURFL-Pro srl
 */

package net.sourceforge.wurfl.core.request.normalizer.generic;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * @author: Fantayeneh Asres Gizaw
 */
public class NovarraGoogleTranslatorRemover implements UserAgentNormalizer {

    private static final Pattern NOVARRA_GOOGLETRANSLATOR_PATTERN = Pattern.compile("(\\sNovarra-Vision.*)|(,gzip\\(gfe\\)\\s+\\(via translate.google.com\\))");
    
    public String normalize(String userAgent) {
        Matcher matcher = NOVARRA_GOOGLETRANSLATOR_PATTERN.matcher(userAgent);
        return matcher.replaceFirst("");

    }
}
