/**
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2010 WURFL-Pro srl
 */

package net.sourceforge.wurfl.core.request.normalizer.specific;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * @author: Fantayeneh Asres Gizaw
 */
public class AndroidNormalizer implements UserAgentNormalizer {

    private static final Pattern ANDROID_OS_PATTERN = Pattern.compile("(Android[\\s/]\\d.\\d)(.*?;)");

    /**
     */
    public String normalize(String userAgent) {
        Matcher matcher = ANDROID_OS_PATTERN.matcher(userAgent);
        if (matcher.find()) {
            return matcher.replaceAll(matcher.group(1) + ";");
        }
        return userAgent;
    }
}
