/**
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2010 WURFL-Pro srl
 */

package net.sourceforge.wurfl.core.request.normalizer.specific;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;
import org.apache.commons.lang.StringUtils;

/**
 * Return the firefox string with the major and minor version only. 
 * 
 * @author Tommaso Teofili
 * @author Filippo De Luca
 * 
 * @version $Id: FirefoxNormalizer.java 596 2010-12-29 18:02:04Z asres.fantayeneh $
 */
public class FirefoxNormalizer implements UserAgentNormalizer {

	/**
	 * Return the firefox string with the major and minor version only  
	 *
	 * @param userAgent
	 * @return String
	 */
	public String normalize(String userAgent) {
		
		String normalized = userAgent;
		
		if(StringUtils.contains(userAgent, "Firefox")) {
			int start = userAgent.indexOf("Firefox");
			normalized = StringUtils.substring(userAgent, start, start + 11);

		}
		
		return normalized;
	}

}
