/**
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2010 WURFL-Pro srl
 */

package net.sourceforge.wurfl.core.request.normalizer.specific;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * <p>
 *  Normalizes lgtelecom user agents by removing all characters before
 *  the model name
 * <p>
 * @author: Fantayeneh Asres Gizaw
 */
public class LGUPLUSNormalizer implements UserAgentNormalizer{

    private static final Pattern LGUPLUS_PATTERN = Pattern.compile("Mozilla.*lgtelecom;.*;(.*);.*");

    public String normalize(String userAgent) {
        Matcher matcher = LGUPLUS_PATTERN.matcher(userAgent);
        return matcher.matches() ? matcher.group(1) : userAgent;
    }
}
