/**
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2010 WURFL-Pro srl
 */

package net.sourceforge.wurfl.core.resource;

import net.sourceforge.wurfl.core.WURFLRuntimeException;

/**
 * Parsing exception.
 * <p/>
 * <p>
 * Exception thrown when wurfl file and patch files contains invalid values.
 * </p>
 *
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * @version $Id: WURFLParsingException.java 597 2010-12-29 18:34:09Z asres.fantayeneh $
 */
public class WURFLParsingException extends WURFLRuntimeException {

    /**
     * serial
     */
    private static final long serialVersionUID = 10L;

    public WURFLParsingException() {
        super();
    }

    public WURFLParsingException(String msg) {
        super(msg);
    }

    public WURFLParsingException(Throwable cause) {
        super(cause);
    }

    public WURFLParsingException(String msg, Throwable cause) {
        super(msg, cause);
    }

}
